Bug 405624 - no bouncy cursor when opening apps
Summary: no bouncy cursor when opening apps
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: wayland-generic (show other bugs)
Version: 5.14.5
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-19 00:38 UTC by Mikel Pérez
Modified: 2022-02-27 20:19 UTC (History)
11 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.23


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikel Pérez 2019-03-19 00:38:22 UTC
SUMMARY
the bouncy app next to the cursor for when you open an app doesn't work on wayland

STEPS TO REPRODUCE
1. open an app

OBSERVED RESULT
cursor stays normal

EXPECTED RESULT
cursor with bouncy app icon underneath it

SOFTWARE/OS VERSIONS
Linux: Fedora 29
KDE Plasma Version: 5.14.5
KDE Frameworks Version: 5.55.0
Qt Version: 5.11.3

ADDITIONAL INFORMATION
they work on X11 so it's not my installation
Comment 1 Martin Flöser 2019-03-19 04:58:06 UTC
There's no startup notification protocol yet on Wayland.
Comment 2 Bharadwaj Raju 2021-06-10 13:21:00 UTC
I get the bouncy icon again now on Plasma Wayland 5.22 (Neon Unstable). Can someone else confirm?
Comment 3 Patrick Silva 2021-06-10 13:43:00 UTC
I see bouncy cursor when I open files via Dolphin, but I don't when
I launch an app via kickoff or krunner.

Neon unstable here too.
Comment 4 Nate Graham 2021-06-14 15:40:29 UTC
Yeah, this is now partially implemented, but more needs to be done.
Comment 5 Aleix Pol 2021-06-14 22:48:06 UTC
This is getting included in 5.23.

There's changes in the pipeline for a bunch of repositories. I'm hoping you'll get to test it by the end of the month in development releases of Plasma.

FWIW, a lot of the changes are already merged and you should be getting them in some places (kwin, kio, kwindowsystem are in place already).
Comment 6 Nate Graham 2021-06-14 22:53:12 UTC
Yep, I see those. :)
Comment 7 Nate Graham 2021-08-20 01:09:13 UTC
This has been implemented by Aleix Pol Gonzalez and is working for Plasma 5.23!
Comment 8 Benjamin Smith 2021-10-27 03:57:37 UTC
This is not working for me on plasma 5.23.1 on Manjaro.
Comment 9 Driglu4it 2022-02-27 19:49:49 UTC
(In reply to Nate Graham from comment #7)
> This has been implemented by Aleix Pol Gonzalez and is working for Plasma
> 5.23!


But not working on Manjaro. Same as Benjamin Smith.

Operating System: Manjaro Linux
KDE Plasma Version: 5.24.2
KDE Frameworks Version: 5.91.0
Qt Version: 5.15.2
Kernel Version: 5.16.11-2-MANJARO (64-bit)
Graphics Platform: Wayland
Comment 10 Driglu4it 2022-02-27 20:19:58 UTC
(In reply to Driglu4it from comment #9)
> (In reply to Nate Graham from comment #7)
> > This has been implemented by Aleix Pol Gonzalez and is working for Plasma
> > 5.23!
> 
> 
> But not working on Manjaro. Same as Benjamin Smith.
> 
> Operating System: Manjaro Linux
> KDE Plasma Version: 5.24.2
> KDE Frameworks Version: 5.91.0
> Qt Version: 5.15.2
> Kernel Version: 5.16.11-2-MANJARO (64-bit)
> Graphics Platform: Wayland

Now I found out that for sure (at least for me) - the animation depends ONLY on the speed of the application launch (in krusader, I brought a deliberately wrong network address to one of the panels to slow down the rendering of the interface - now there is always animation). How it works programmatically - I do not know. Kpat also does not show animation if it is closed and immediately opened, but if it was unloaded from memory + the processor is loaded at that time, there is animation ...